ABI compatibility of self building Pytorch

In my organization, we maintain a pytorch package building from source, because we have some specific features. But some third-party libs, even first party libs, like torchvision, will throw runtime exception: … …
undefined symbol … …
I think it’s a ABI compatibility problem.
So, is there a solution about this problem to keep our self building pytorch is ABI compatibility with community ones?
Thanks for you guys, I really want to know the answer.